View Issue Details

IDProjectCategoryView StatusLast Update
0000885PluginsTemporary panelpublic2009-10-27 12:38
ReporterJohnDoeAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0000885: Файл-список должен искаться в первую очередь в текущей директории
Descriptiontmp:file

Есть такая фича - если не указать полный путь к файлу-списку, то он ищется (как минимум) в следующих местах: %farhome%, текущая директория и %path%

Проблема в том, что сначала идёт %farhome%, и если там и в текущей директории присутствуют одноимённые файлы, то открывается тот, который лежит в %farhome%
TagsNo tags attached.

Activities

JohnDoe

2009-05-28 20:15

updater   bugnote:0003331

Собственно тикет надо переместить из вишей в баги, поскольку в помощи сказано:

   Если имя файла-списка указано без пути, его поиск будет производиться в
 следующих директориях и в следующей последовательности:
     1. В текущей директории.
     2. В системной директории Windows.
        ("System" для Windows 9x, "System32" для Windows NT)
     3. В 16-битной системной директории для Windows NT.
     4. В директории где находится Windows.
     5. В директориях, перечисленных в переменной окружения %PATH%.
     6. В директории плагина.

alexy

2009-10-27 00:13

administrator   bugnote:0004342

fixed. build 62.
Теперь порядок вот такой:
   1. В текущей директории.
   2. В директории плагина.
   3. В %FARHOME%.
   4. В директориях, перечисленных в переменной окружения %PATH%.

Issue History

Date Modified Username Field Change
2009-05-28 19:34 JohnDoe New Issue
2009-05-28 20:15 JohnDoe Note Added: 0003331
2009-10-23 15:47 alexy Project Wishes.Plugins => Plugins
2009-10-27 00:13 alexy Note Added: 0004342
2009-10-27 00:13 alexy Assigned To => alexy
2009-10-27 00:13 alexy Status new => feedback
2009-10-27 12:24 JohnDoe Status feedback => resolved
2009-10-27 12:38 alexy Status resolved => closed
2009-10-27 12:38 alexy Fixed in Version => 2.0
2009-10-27 12:38 alexy Resolution open => fixed